Unbind
Servers

Get Server

Get a single server with its conditions, taints and hardware details.

GET
/servers/get

Get a single server with its conditions, taints and hardware details.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Query Parameters

name*string

The name of the server

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/servers/get?name=string"
{  "data": {    "architecture": "string",    "conditions": [      {        "status": "healthy",        "type": "memory"      }    ],    "container_runtime": "string",    "cpu_allocatable_millicores": 0,    "cpu_capacity_millicores": 0,    "cpu_requested_millicores": 0,    "created_at": "2019-08-24T14:15:22Z",    "external_ip": "string",    "internal_ip": "string",    "kernel_version": "string",    "kubernetes_version": "string",    "memory_allocatable_megabytes": 0,    "memory_capacity_megabytes": 0,    "memory_requested_megabytes": 0,    "name": "string",    "os": "string",    "pod_capacity": 0,    "pod_count": 0,    "ready": true,    "roles": [      "string"    ],    "taints": [      {        "effect": "string",        "key": "string",        "value": "string"      }    ],    "unschedulable": true  }}